//HelloClient.java
import java.rmi.Naming;
public class HelloClient {
	public static void main(String [] args) {
		if(args.length < 1) {
			System.out.println("Usage: java HelloClient \"yourNametoSend\"");
			System.exit(1);
		}
		try {
			Object obj = Naming.lookup("rmi://localhost:1099/HelloRemote");
			Hello remoteObj = (Hello) obj;
			String msg = remoteObj.sayHello(args[0]);
			System.out.println("Message From Hello Remote Object: \"" + msg + "\"");
		} catch(java.rmi.RemoteException e) {
			System.err.println("Something has gone wrong during remote method call");
		} catch(java.rmi.NotBoundException e) {
			System.err.println("Couldn't successfully bound ");
		} catch(java.net.MalformedURLException e) {
			System.err.println("Check URL used to lookup Remote Object HelloRemote");
		}
	}
}
