//HelloServer.java
public class HelloServer {
	public static void main(String [] args) {
		try {
			HelloImpl remObj = new HelloImpl();
			java.rmi.Naming.rebind("//127.0.0.1/HelloRemote", remObj);
			System.out.println("Hello Remote Object bound to the registry and ready to service incoming client calls...");
		} catch(java.rmi.RemoteException e) {
			System.err.println("Exception occurred during processing incoming method call");
			e.printStackTrace();
			System.exit(1);
		} catch(java.net.MalformedURLException e) {
			System.err.println("Check the url string to rebind the remote object");
			System.exit(1);
		} 
	}
}
