//HelloClient.java
import javax.naming.InitialContext;
import javax.naming.Context;
import javax.rmi.PortableRemoteObject;
import java.util.Properties;
public class HelloClient {
	public static void main(String [] args) {
		if(args.length < 1) {
			System.out.println("Usage: java -classpath ... HelloClient YourName ");
			System.exit(1);
		}
		try {
			
			Context init_ctx = new InitialContext(); J2EE SDK  
			//Context init_ctx = getInitialContextForWeblogic(); //  
			Object obj = init_ctx.lookup("Hello");
			HelloHome home = 
			(HelloHome)PortableRemoteObject.narrow(obj ,HelloHome.class);
			Hello hello = home.create();
			String ret_msg = hello.sayHello(args[0]);
			System.out.println(ret_msg);
		} catch(Exception e) {
			e.printStackTrace();
		} 
	} // end of main
	static InitialContext	getInitialContextForWeblogic() throws javax.naming.NamingException {
		Properties props = new Properties();
		props.put(Context.INITIAL_CONTEXT_FACTORY, "weblogic.jndi.WLInitialContextFactory");
		props.put(Context.PROVIDER_URL, "t3://localhost:7001");
		return new javax.naming.InitialContext(props);
	}
}
