import java.io.*;
import javax.rmi.PortableRemoteObject;
public class DeserializeHomeHandle {
	public static void main(String [] args) throws Exception {
		FileInputStream fis = new FileInputStream("serialized_home_handle01.ser");
		ObjectInputStream objIn = new ObjectInputStream(fis);
		javax.ejb.HomeHandle home_handle = (javax.ejb.HomeHandle) objIn.readObject();
		System.out.println("HomeHandle Deserialized successfully");
		fis.close();
		objIn.close();
		javax.ejb.EJBHome ejb_home = home_handle.getEJBHome();
		HelloHome home = (HelloHome) PortableRemoteObject.narrow(ejb_home, HelloHome.class);
		Hello hello = home.create();
		System.out.println(hello.sayHello(args[0]));
	}
}