package pejb.ejb.shop;
import javax.ejb.*;
import java.rmi.*;
import java.util.*;
import pejb.ejb.base.SessionAdapter;
public class CartBean extends  SessionAdapter {
	private String name;
	private Vector items = new Vector();
	public void ejbCreate() throws CreateException {
		this.name = "Guest";
		print("ejbCreate called");
	}
	public void ejbCreate(String name) throws CreateException {
		if (name == null) {
			throw new CreateException("̸ Null ɼ ϴ.");
		}else {
			this.name = name;
		}
		items = new Vector();
		print("ejbCreate Called");
	}
	public void addItem(String item) {
		items.addElement(item);
	}
	public void removeItem(String item) 
	throws InvalidRemoveException {
		if(!items.removeElement(item)) {
			String msg = "Ͻ÷  " + 
			item + "  īƮ ʽϴ.";
			throw new InvalidRemoveException(msg);
		}  
	}
	public void clearItems() {
		items.clear();
		print("īƮ    ϴ.");
	}		
	public Vector getItems() {
		return items;
	}
	public String getName() {
		return this.name;
	}
	public void ejbRemove() {  
		print("ejbRemove() called"); 
	}
	public void ejbActivate() { 
		print("ejbActivate () called "); 
	}
	public void ejbPassivate() { 
		print("ejbPassivate() called ");
	}
	public void setSessionContext(SessionContext sc) 
	throws RemoteException, EJBException{
		ejb_name = getClass().getName();
		debug = true;
		super.setSessionContext(sc);
	}
	
}