import java.rmi.RemoteException;
import javax.ejb.SessionBean;
import javax.ejb.EJBException;
import javax.ejb.SessionContext;
import javax.ejb.CreateException;
public class HelloBean implements SessionBean {
	public HelloBean() {
		System.out.println("constructor ..");
	}
	public void ejbCreate() throws RemoteException, CreateException {
		System.out.println("ejbCreate() Called");
	}
	public String sayHello(String name) throws RemoteException {
		return "Hello " + name + "!!!";
	}
	public void ejbActivate() throws RemoteException, EJBException{}
	public void ejbPassivate() throws RemoteException, EJBException{}
	public void setSessionContext(SessionContext ctx ) throws RemoteException, EJBException{
		System.out.println("HelloEJB instance created...");
	}
	public void ejbRemove() throws RemoteException, EJBException{}
}	