import java.io.*;
import javax.rmi.PortableRemoteObject;
public class DeserializeHandle {
	public static void main(String [] args) throws Exception {
		FileInputStream fis = new FileInputStream("serialized_handle01.ser");
		ObjectInputStream objIn = new ObjectInputStream(fis);
		javax.ejb.Handle handle = (javax.ejb.Handle) objIn.readObject();
		System.out.println("Handle Deserialized successfully");
		fis.close();
		objIn.close();
		javax.ejb.EJBObject ejb = handle.getEJBObject();
		Hello hello = (Hello) PortableRemoteObject.narrow(ejb, Hello.class);
		System.out.println(hello.sayHello(args[0]));
	}
}