package pejb.ejb.base;
import javax.ejb.*;
import java.rmi.RemoteException;
public abstract class SessionAdapter implements SessionBean {
	protected SessionContext ctx;
	protected static String ejb_name;
	protected boolean debug = false;
	
	///// /////SessionBean ̽ ߻ ޼ҵ   ///
	public void setSessionContext(SessionContext ctx) throws RemoteException, EJBException {
		this.ctx = ctx;
		print("setSessionContext Called");
	}
	public void ejbActivate () throws RemoteException, EJBException {
		print("ejbActivate Called");
	}
	public void ejbPassivate() throws RemoteException, EJBException {
		print("ejbPassivate Called");
	}
	public void ejbRemove() throws RemoteException, EJBException {
		print("ejbRemove Called");
	}
	
	//////   ƿƼ ޼ҵ ////
	protected void print(String str) {
		if(debug) {
			System.out.println("[" + ejb_name + "] : " + str);
		}
	}
}
