package pejb.beans.board;
import java.util.*;
import java.rmi.RemoteException;
import javax.ejb.*;
import pejb.ejb.base.*;
import pejb.ejb.session.board.*;

public class SearchBoardBean {

	private EJBUtil util;
	SearchRec search_ejb;
	SearchRecHome home;

	public SearchBoardBean() throws RemoteException, CreateException {
		util = new EJBUtil();
		home = (SearchRecHome)util.lookup("SearchRec", SearchRecHome.class);
		search_ejb = home.create(); 
	}
	//˻Ǵ  rows
	public int getTotalRows(String searchText, String searchCondition) throws RemoteException{
		try {
			return search_ejb.getTotalRows(searchText, searchCondition);
		} catch(RemoteException e) {
			throw new RemoteException(" ˻ Ұմϴ..");
		} 
	}
	//Խ ۸
	public Vector getAllBoard(String searchText, String searchCondition, int currentPage) throws RemoteException {
		try {
			return search_ejb.getAllBoard(searchText, searchCondition, currentPage);
		} catch(RemoteException e) {
			throw new RemoteException(" ˻ Ұմϴ..");
		} 
	}
	//뺸
	public BoardRec getBoard(int recno) throws RemoteException{
		try {
			return search_ejb.getBoard(recno);
		} catch(RemoteException e) {
			throw new RemoteException("RECNO " + recno + 
			"    ʽϴ.. ٽ ˻Ͻñ ٶϴ..");
		}
	}
	//ñ 
	public Vector getRefBoard(int ref) throws RemoteException {
		try {
			return search_ejb.getRefBoard(ref);
		} catch(RemoteException e) {
			throw new RemoteException("ش ñ ˻ Ұմϴ..");
		}
	}
	//ȸ 
	public void increaseHitCnt(int recno) throws RemoteException {
		try {
			search_ejb.increaseHitCnt(recno);
		} catch(RemoteException e) {
			throw new RemoteException("ȸ  ߽ϴ.");
		}
	}
}