package pejb.shopmall.ejb;
import javax.ejb.*;
import java.rmi.RemoteException;
import pejb.ejb.base.EntityAdapter;
import pejb.shopmall.beans.LoginInfoBean;
public class EMemberBean extends EntityAdapter {
	public String id;
	public String passwd;
	public String address;
	public String name;
	public String phone;
	public EMemberPK ejbCreate(String id, String name, String passwd, 
	String address, String phone) throws CreateException, RemoteException {
		if(id == null || passwd == null) throw new CreateException("ID and/or Passwd cannot be null");
		this.id = id;
		this.name = name;
		this.passwd = passwd;
		this.address = address;
		this.phone = phone;
		return null;
	}
	public void ejbPostCreate(String id, String name, String passwd, 
	String address, String phone){
	}

	public void setId(String id) throws RemoteException {
		this.id = id;
	}
	public void setPasswd(String passwd) throws RemoteException {
		this.passwd = passwd;
	}
	public void setName(String name) throws RemoteException {
		this.name = name;
	}
	public void setAddress(String address) throws RemoteException {
		this.address = address;
	}
	public void setPhone(String phone) throws RemoteException {
		this.phone = phone;
	}
	
	public String getPasswd() throws RemoteException {
		return passwd;
	}
	public String getId() throws RemoteException {
		return id;
	}
	public String getName() throws RemoteException {
		return name;
	}
	public String getAddress() throws RemoteException {
		return address;
	}
	public String getPhone() throws RemoteException {
		return phone;
	}
	public LoginInfoBean getLoginInfo() throws RemoteException{
		LoginInfoBean loginInfo = new LoginInfoBean();
		loginInfo.setId(id);
		loginInfo.setPasswd(passwd);
		loginInfo.setAddress(address);
		loginInfo.setName(name);
		loginInfo.setPhone(phone);
		return loginInfo;
	}	
	////////// EntityBean ̽  ޼ҵ ̵ ///////
	public void setEntityContext(EntityContext ctx ) {
		debug = true;
		ejb_name = getClass().getName();
		super.setEntityContext(ctx);
	}
}
