package pejb.shopmall.ejb;
import javax.ejb.*;
import java.rmi.*;
import pejb.ejb.base.*;
import pejb.shopmall.*;
import pejb.shopmall.beans.*;
public class SLoginBean extends SessionAdapter {
	private EJBUtil util;
	private EMemberHome member_home;
	public void ejbCreate() {
	}
	public LoginInfoBean checkValidUser(String id, String passwd) 
	throws InvalidUserException , RemoteException{
		EMemberPK pk = new EMemberPK(id, passwd);
		try {
			EMember member_ejb = member_home.findByPrimaryKey(pk);
			return member_ejb.getLoginInfo();
		} catch(FinderException e) {
			throw new InvalidUserException("Entity with " + pk + " not found");
		} 
	}
	public void setSessionContext(SessionContext ctx) throws RemoteException, EJBException {
		ejb_name = getClass().getName();
		util = new EJBUtil();
		member_home = (EMemberHome)util.lookup("java:comp/env/ejb/EMember", EMemberHome.class);		
		super.setSessionContext(ctx);
	}
}
