package pejb.shopmall.beans;
import javax.ejb.*;
import pejb.shopmall.ejb.*;
import java.rmi.*;
import javax.servlet.jsp.PageContext;
import pejb.ejb.base.EJBUtil;
public class ShopDBBean {

	private String message = "";	
	private PageContext pageContext;
	private LoginInfoBean userInfo;
	private SCart cart;
	private SShop shop;
	private EJBUtil util;

	public void setPageContext(PageContext pageContext) 
	throws RemoteException, CreateException{
		this.pageContext = pageContext;
		util = new EJBUtil();
		init();
	}
	private void init() throws RemoteException, CreateException {
		if( pageContext != null) {
			this.userInfo = (LoginInfoBean) 
			pageContext.getAttribute("userInfo", PageContext.SESSION_SCOPE);
			CartBean cartBean = (CartBean)
			pageContext.getAttribute("cart", PageContext.SESSION_SCOPE);
			this.cart = cartBean.getCartEJB();
			SShopHome shop_home  = (SShopHome)util.lookup("SShop", SShopHome.class);
			this.shop = shop_home.create(userInfo, cart);
		}
	}		

	public String getMessage() {
		return message;
	}
	public void setOrderComplete(boolean complete) {
		if(!complete) return;
		try {
			shop.completeOrder();
			message = userInfo.getName () + 
			"  ֹ  óǾϴ";
		} catch(RemoteException e) {
			e.printStackTrace();
			message = 
			userInfo.getName() + "  ֹ  ó ߽ϴ";
			message += ": " + e.getMessage();
		}
	}
}
